# This Spec file was Created by Marco Meijer <marco@mandrivaclub.nl>
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.mandrivaclub.nl

%define name    ttb
%define version 1.0
%define release %mkrel 1
%define summary TTB Teletekst Browser
%define section Internet/News
Summary(nl): TTB Teletekst Browser

Name:           %{name} 
Summary:        %{summary}
Version:        %{version} 
Release:        %{release} 
Vendor:         Mandrivaclub.nl
URL:		http://www.djcbsoftware.nl/code/ttb/
License:        GPL
Group:          %{section}
Packager:       %{packager}

Source0:        %{name}-%{version}.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot 
BuildArch: 	noarch
Requires:	gtk+ pygtk2.0 pygtk2.0-libglade

%description
ttb teletekst browser is a small browser for the teletekst system
as used in The Netherlands, and provides a convenient way to stay
up to date with news, sports, weather, stock exchange and what not

%description -l nl
ttb teletekst browser is een programma om Teletekstpagina's te bekijken via internet

toetsenbord ondersteuning

x,q	ttb verlaten
+,-	volgende,vorige pagina
*,/	volgende,vorige subpagina
r	ververs huidige pagina

%prep

%setup -q 

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/%{name}
mkdir -p %{buildroot}%{_datadir}/applications
cp -r src/ttb %{buildroot}%{_bindir}
cp -r glade/ttb.glade %{buildroot}%{_datadir}/%{name}
cp -r ttb.desktop %{buildroot}%{_datadir}/applications

#icons
%define  nameicon images/ttb.png
mkdir -p -m755 %{buildroot}{%_liconsdir,%_iconsdir,%_miconsdir}
convert -scale 48x48 %{nameicon} %{buildroot}%{_liconsdir}/%{name}.png
convert -scale 32x32 %{nameicon} %{buildroot}%{_iconsdir}/%{name}.png
convert -scale 16x16 %{nameicon} %{buildroot}%{_miconsdir}/%{name}.png

mkdir -p -m755 %{buildroot}%{_iconsdir}/crystalsvg/128x128/apps/
convert -scale 128x128 %{nameicon} %{buildroot}%{_iconsdir}/crystalsvg/128x128/apps/%{name}.png
mkdir -p -m755 %{buildroot}%{_iconsdir}/crystalsvg/64x64/apps/
convert -scale 64x64 %{nameicon} %{buildroot}%{_iconsdir}/crystalsvg/64x64/apps/%{name}.png
mkdir -p -m755 %{buildroot}%{_iconsdir}/crystalsvg/48x48/apps/
convert -scale 48x48 %{nameicon} %{buildroot}%{_iconsdir}/crystalsvg/48x48/apps/%{name}.png
mkdir -p -m755 %{buildroot}%{_iconsdir}/crystalsvg/32x32/apps/
convert -scale 32x32 %{nameicon} %{buildroot}%{_iconsdir}/crystalsvg/32x32/apps/%{name}.png
mkdir -p -m755 %{buildroot}%{_iconsdir}/crystalsvg/22x22/apps/
convert -scale 22x22 %{nameicon} %{buildroot}%{_iconsdir}/crystalsvg/22x22/apps/%{name}.png
mkdir -p -m755 %{buildroot}%{_iconsdir}/crystalsvg/16x16/apps/
convert -scale 16x16 %{nameicon} %{buildroot}%{_iconsdir}/crystalsvg/16x16/apps/%{name}.png

mkdir -p m755 %{buildroot}/%{_datadir}/pixmaps/
convert -scale 48x48 %{nameicon} %{buildroot}/%{_datadir}/pixmaps/%{name}.png

# Menu
# Every entry must be changed according package specfications
# Pay attention to "section" "command" and "longtitle"
# Use the macros at the head of this file to change the values.
mkdir -p %{buildroot}/%{_menudir}
cat > %{buildroot}/%{_menudir}/%{name} << EOF
?package(%{name}): \
command="%{_bindir}/ttb" \
needs="X11" \
icon="ttb.png" \
section="%{section}" \
title="%{name}" \
longtitle="%{summary}"
EOF

%post
%update_menus

%postun
%clean_menus

%clean 
rm -rf $RPM_BUILD_ROOT 

%files 
%defattr(-,root,root) 
%doc AUTHORS LICENSE PKG-INFO
%{_menudir}/*
%{_iconsdir}/*
%{_bindir}/*
%{_datadir}/%{name}/*
%{_datadir}/pixmaps/*
%{_datadir}/applications/%{name}.desktop

%changelog 
* Mon May 18 2009 Dal Magro Maurizio <mauriziodm@mandrivaclub.be>
- New version 1.0
- Mandriva build

* Sun Apr 22 2007 Marco Meijer <marco@mandrivaclub.nl> 0.9.4-1mcnl2007.1
- Mandriva 2007.1 rebuild

*Thu Oct 28 2006 Marco Meijer <marco@mandrivaclub.nl> 0.9.4-1.2007mcnl
- new version

*Sun Oct 16 2005 Marco Meijer <marco@mandrivaclub.nl> 0.9.2-1.2006mcnl
- new version

*Wed Apr 06 2005 Marco Meijer <marco@mandrivaclub.nl> 0.9.1-1.101mcnl
- bug fix

*Sun Mar 27 2005 Marco Meijer <marco@mandrivaclub.nl> 0.9-1.101mcnl
- new version

*Sun Mar 13 2005 Marco Meijer <marco@mandrivaclub.nl> 0.8-1.101mcnl
- new version

*Tue Mar 08 2005 Marco Meijer <marco@mandrivaclub.nl> 0.7-1.101mcnl
- new version

*Sun Jan 23 2005 Marco Meijer <marco@mandrivaclub.nl> 0.4-2.101mcnl
- made the window bigger so the full teletekst page is visible

*Wed Jan 20 2005 Marco Meijer <marco@mandrivaclub.nl> 0.4-1.101mcnl
- [07/11/2004]: versie 0.4 is uit; proxy's worden nu ondersteund ('http_proxy'), toetsenbordondersteuning, geen pygtk 2.4 meer vereist, UI gestroomlijnd. Via het toetsenbord:
- [30/10/2004]: versie 0.3 is uit; pagina's zijn nu 'klikbaar'
- [25/10/2004]: versie 0.2; drag & drop naar de desktop

